@media only screen and (min-width:200px) and (max-width:767px) {
    .navbar {
        padding: 0 20px;
    }

    .menu-toggle {
        display: flex;
    }

    .navbar .navlinks {
        align-items: center;
    }

    .navbar .navlinks ul {
        display: none;
    }
.desktop{
    display:none;
}
.mobile{
    display:flex;
}
    .navbar .navlogo img {
        width: 120px;
    }

    .navbar .navlinks .navbutton {
        padding: 8px 20px;
        font-size: 15px;
    }

    .hero .hero-content {
        padding: 0 26px;
    }

    .hero .hero-content h1 {
        line-height: 32px;
        font-size: 28px;
    }

    .hero .hero-content h3 {
        font-size: 20px;
    }

    .hero .hero-content p {
        font-size: 1rem;
        line-height: 25px;
        padding: 0 20px;
    }

    .hero .arrowbutton img {
        width: 22px;
    }

    /* solving building  */
    .solving-building {
        flex-direction: column;
    }

    .solving-building .rightside {
        padding: 25px 20px;
    }

    .solving-building .rightside h2 {
        font-size: 25px;
        line-height: 32px;
    }

    .solving-building .rightside p {
        font-size: 16px;
    }

    .solving-building .rightside .navbutton {
        font-size: 16px;
        padding: 8px 30px;
    }

    .solving-building .rightside .navbtndiv {
        text-align: center;
    }

    /* End : solving building  */

    /* OUR Solution  */
    .our-solution .our-solution-top {
        padding: 50px 20px;
        flex-direction: column;
    }

    .our-solution .our-solution-top .leftside .maintitle h2 {
        font-size: 18px;
    }

    .our-solution .our-solution-top .leftside .details h2 {
        font-size: 25px;
        line-height:32px;
    }

    .our-solution .our-solution-top .rightside p {
        font-size: 16px;
    }

    .our-solutionsbottom .solutions-card {
        flex-direction: column;
    }

    .our-solutionsbottom {
        padding: 0 20px 50px;
    }

    .our-solutionsbottom .solutions-card .card-content {
        padding: 20px 0px 20px 0;
    }

    .our-solutionsbottom .solutions-card .card-content .cardtitle {
        padding: 0px 40px 0px 0;
    }

    /* OUR Solution  */
    /* why dwellinx  */
    .why-dwellinx-section {
        flex-direction: column;
        padding: 0;
        background: unset;
    }

    .why-dwellinx-section .whyimg {
        display: flex;
        width: 100%;
    }

    .why-dwellinx-section .whyimg img {
        width: 100%;
    }

    .why-dwellinx-section .content {
        max-width: 100%;
        background-color: #f7f7f7;
        padding: 50px 15px;
    }

    .why-dwellinx-section .content h1 {
        font-size: 25px;
        line-height:32px;
    }

    .why-dwellinx-section .content h4 {
        font-size: 18px;
    }

    .image-wrapper {
        width: 100%;
        height: 300px;
        background-position: center top;
        margin-top: 30px;
    }

    .content h1 {
        font-size: 28px;
    }

    .content p {
        font-size: 15px;
    }

    /* why dwellinx  */
    /* sustainability  */
    .Sustainability .Sustainability-top {
        padding: 50px 20px;
        flex-direction: column;
        gap: 10px;
    }

    .Sustainability .Sustainability-top .leftside .maintitle h2 {
        font-size: 18px;
    }

    .Sustainability .Sustainability-top .leftside .details h2 {
        font-size: 25px;
        line-height: 30px;
    }

    .Sustainability .Sustainability-top .rightside p {
        font-size: 16px;
    }

    .Sustainability-bottom .featurescard .cards .content p {
        font-size: 16px;
    }

    .Sustainability-bottom {
        padding: 0 20px 50px;
    }

    .Sustainability-bottom .featurescard {
        flex-direction: column;
    }

    .Sustainability-bottom .featurescard .cards .content {
        padding-top: 40px;
    }

    /* sustainability  */
    /* about us  */
    .about-us {
        flex-direction: column;
        padding: 0;
        background: unset;
    }

    .about-us .whyimg {
        display: flex;
        width: 100%;
    }

    .about-us .whyimg img {
        width: 100%;
    }

    .about-us .content {
        max-width: 100%;
        background-color: #f7f7f7;
        padding: 50px 15px;
    }


    .about-us .content h4 {
        font-size: 18px;
    }



    .about-us .content h1 {
        font-size: 25px;
        line-height:32px;
    }

    .about-us .content p {
        font-size: 16px;
    }

    /* about us  */
    /* contact us  */
    .contact-us {
        flex-direction: column;
        padding: 50px 20px;
        gap: 30px;
    }

    .contact-us .leftside {
        width: 100%;
    }

    .contact-us .leftside h2 {
        font-size: 25px;
        line-height: 35px;
    }

    .contact-us .rightside .firstrow {
        flex-direction: column;
    }

    .contact-us .leftside p {
        font-size: 16px;
    }

    /* contact us  */
    /* footer  */
    .footersection {
        flex-direction: column-reverse;
        gap: 30px;
        padding: 50px 30px;
    }

    .footersection .contacts {
        flex-direction: column;
        gap: 20px;
    }

    .footersection .logo img {
        width: 220px;
    }

    .footersection .logo {
        gap: 15px;
    }

    /* footer  */
}

@media only screen and (min-width:768px) and (max-width:1023px) {
    .menu-toggle {
        display: flex;
    }

    .navbar .navlinks {
        align-items: center;
    }

    .navbar .navlinks ul {
        display: none;
    }

    .sidebar ul li {
        margin: 40px 0;
    }

    .sidebar ul li a {
        font-size: 22px;
    }

    .sidebar .close-btn img {
        width: 30px;
    }

    .close-btn {
        top: 30px;
    }

    .hero .hero-content {
        padding: 0 50px;
    }

    .hero .hero-content p {
        padding: 0 50px;
    }

    /* .solving-building  */
    .solving-building {
        flex-direction: column;
    }

    .solving-building .rightside h2 {
        font-size: 45px;
    }

    .solving-building .rightside {
        padding: 80px 40px;
    }

    /* .solving-building  */
    /* OUR Solution  */
    .our-solution .our-solution-top {
        flex-direction: column;
        padding: 80px 40px;
    }

    .our-solution .our-solution-top .leftside .maintitle h2 {
        font-size: 22px;
    }

    .our-solutionsbottom .solutions-card {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
.our-solutionsbottom .solutions-card{
      display: grid;
        grid-template-columns: repeat(2, 1fr);
}
    .our-solutionsbottom {
        padding: 0 40px 80px;
    }

    .our-solutionsbottom .solutions-card .card-content {
        padding: 20px 0px 20px 0;
    }

    .our-solutionsbottom .solutions-card .card-content .cardtitle {
        padding: 0px 40px 0px 0;
    }

    /* OUR Solution  */
    /* why dwellinx  */
    .why-dwellinx-section {
        background-position: top;
        padding: 0;
    }

    .why-dwellinx-section .content {
        padding: 80px 50px;
    }

    /* why dwellinx  */
    /* .Sustainability  */
    .Sustainability-bottom .featurescard {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .Sustainability-bottom .featurescard .cards .content {
        padding-top: 40px;
    }

    .Sustainability-bottom {
        padding: 0 40px 80px;
    }

    .Sustainability .Sustainability-top {
        padding: 80px 40px 50px;
    }

    .Sustainability .Sustainability-top {
        flex-direction: column;
        gap: 10px;
    }

    /* .Sustainability  */
    /* .about-us */
    .about-us {
        background-position: top;
        padding: 0;
        background: linear-gradient(to left, rgba(255, 255, 255, 0.838) 0%, rgba(255, 255, 255, 0.8) 60%, rgba(255, 255, 255, 0.5) 80%, rgba(255, 255, 255, 0) 90%),
            url('../images/about/About.png');
        background-repeat: no-repeat;
        background-size: cover;
         background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
    }

    .about-us .content {
        padding: 80px 50px;
    }

    /* .about-us */
    /* contact us  */
    .contact-us {
        flex-direction: column;
        gap: 30px;
        padding: 50px 40px;
    }

    .contact-us .leftside {
        width: 100%;
    }

    /* contact us  */
    /* footer  */
    .footersection {
        padding: 30px;
    }

    .footersection .contacts {
        gap: 30px;
    }

    /* footer  */
    .our-solution .our-solution-top .leftside .details h2 {
        font-size: 45px;
    }

    .our-solution .our-solution-top .rightside p {
        font-size: 20px;
    }

    .why-dwellinx-section .content h1 {
        font-size: 45px;
    }

    .why-dwellinx-section .content p,
    .why-dwellinx-section .content .para {
        font-size: 20px;
    }

    .Sustainability .Sustainability-top .leftside .details h2 {
        font-size: 45px;
    }

    .Sustainability .Sustainability-top .rightside p {
        font-size: 20px;
    }

    .Sustainability .Sustainability-top .leftside .maintitle h2 {
        font-size: 22px;
    }

    .about-us .content h1 {
        font-size: 45px;
    }

    .about-us .content .para,
    .about-us .content p {
        font-size: 20px;
    }
}

@media only screen and (min-width:1024px) and (max-width:1220px) {
    .navbar {
        padding: 0 40px;
    }

    .navbar .navlinks ul {
        gap: 25px;
    }

    .hero .hero-content {
        padding: 0 50px;
    }

    .hero .hero-content p {
        padding: 0 50px;
    }

    /* .solving-building  */
    .solving-building .rightside h2 {
        font-size: 35px;
        line-height: 42px;
    }

    .solving-building .rightside p {
        font-size: 18px;
    }

    .solving-building .rightside .navbutton {
        font-size: 18px;
    }

    /* .solving-building  */
    .our-solution .our-solution-top {
        padding: 100px 40px;
    }

    .our-solution .our-solution-top .leftside .maintitle h2 {
        font-size: 22px;
    }

    .our-solution .our-solution-top .leftside .details h2 {
        font-size: 35px;
    }

    .our-solution .our-solution-top .rightside p {
        font-size: 18px;
    }

    .our-solutionsbottom .solutions-card {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .our-solutionsbottom {
        padding: 0 40px 100px;
    }

    .our-solutionsbottom .solutions-card .card-content {
        padding: 20px 0px 20px 0;
    }

    .our-solutionsbottom .solutions-card .card-content .cardtitle {
        padding: 0px 40px 0px 0;
    }

    /* why dwellinx  */
    .why-dwellinx-section {
        background-position: top;
        padding: 0;

    }

    .why-dwellinx-section .content {
        padding: 100px 50px;
    }

    .why-dwellinx-section .content h1 {
        font-size: 35px;
    }

    .why-dwellinx-section .content .para,
    .why-dwellinx-section .content p {
        font-size: 18px;
    }

    /* why dwellinx  */
    /* .Sustainability  */
    .Sustainability-bottom .featurescard {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .Sustainability-bottom .featurescard .cards .content h2 {
        font-size: 28px;
    }

    .Sustainability-bottom .featurescard .cards .content p {
        font-size: 22px;
    }

    .Sustainability-bottom {
        padding: 0 40px 100px;
    }

    .Sustainability .Sustainability-top {
        padding: 100px 40px 50px;
    }

    .Sustainability .Sustainability-top .leftside .maintitle h2 {
        font-size: 22px;
    }

    .Sustainability .Sustainability-top .leftside .details h2 {
        font-size: 35px;
    }

    .Sustainability .Sustainability-top .rightside p {
        font-size: 18px;
    }

    .Sustainability .Sustainability-top {
        flex-direction: column;
        gap: 10px;
    }

    /* .Sustainability  */
    /* about us  */
    .about-us {
        background-position: top;
        padding: 0;
    }

    .about-us .content {
        padding: 100px 50px;
    }

    .about-us .content h1 {
        font-size: 35px;
    }

    .about-us .content .para,
    .about-us .content p {
        font-size: 18px;
    }

    /* about us  */
    /* contact us  */
    .contact-us {
        padding: 50px 40px;
    }

    .contact-us .leftside h2 {
        font-size: 34px;
    }

    /* contact us  */
}

@media only screen and (min-width:1221px) and (max-width:1320px) {

    /* .Sustainability  */
    .Sustainability-bottom .featurescard .cards .content h2 {
        font-weight: 500;
        padding: 0 0px 15px 0;
    }

    /* .Sustainability  */
    /* about us  */
    /*.about-us {*/
    /*    background-position: top;*/

    /*    background: linear-gradient(to left, rgba(255, 255, 255, 0.838) 0%, rgba(255, 255, 255, 0.8) 40%, rgba(255, 255, 255, 0.716) 50%, rgba(255, 255, 255, 0) 70%), url('../images/about/About.png');*/
    /*    background-repeat: no-repeat;*/
    /*    background-size: cover;*/
    /*}*/

    /* about us  */
}

@media only screen and (min-width:1321px) and (max-width:1439px) {}

@media only screen and (min-width:1440px) and (max-width:1919px) {

    /* .Sustainability  */
    .Sustainability-bottom .featurescard .cards .content h2 {
        font-weight: 500;
        padding: 0 0px 15px 0;
    }

    /* .Sustainability  */
}

@media only screen and (min-width:1920px) and (max-width:2500px) {
    .hero .hero-content p {
        font-size: 1.5rem;
        margin-bottom: 2rem;
        line-height: 33px;
        padding: 0 90px;
    }

    .hero .hero-content {
        padding: 0 300px;
    }

    .hero .hero-content h1 {
        font-size: 55px;
        line-height: 65px;
    }

    .our-solution .our-solution-top .rightside p {
        font-size: 22px;
    }



    .our-solutionsbottom .solutions-card .card-content .cardtitle h2 {
        font-size: 31px;
        line-height: 38px;
    }

    .our-solutionsbottom .solutions-card .card-content .desc p {
        font-size: 20px;
    }

    .why-dwellinx-section .content {
        max-width: 800px;
    }

    .why-dwellinx-section .content p,
    .why-dwellinx-section .content .para {
        font-size: 22px;
    }

    .Sustainability-bottom .featurescard .cards .content p {
        font-size: 20px;
    }

    .Sustainability-bottom .featurescard .cards .content h2 {
        font-size: 25px;
    }

    .Sustainability .Sustainability-top .rightside p {
        font-size: 22px;
    }


    /* .about-us  */
    .about-us .content {
        max-width: 800px;
    }



    .about-us .content p,
    .about-us .content .para {
        font-size: 22px;
    }

    /* .about-us  */
    /* contact us  */
    .contact-us .leftside h2 {
        font-size: 45px;
    }

    .contact-us .leftside p {
        font-size: 18px;
    }

    .contact-us .rightside .firstrow .inputs label {
        font-size: 20px;
    }

    /* contact us  */
    /* footer  */
    .footersection .contacts .follow h2 {
        font-size: 22px;
    }

    .footersection .contacts .follow a,
    .footersection .contacts .follow p,
    .footersection .logo p {
        font-size: 20px;

    }

    /* footer  */
}

@media only screen and (min-width:2500px) and (max-width:4000px) {
    .navbar .navlogo img {
        width: 250px;
    }

    .navbar .navlinks ul li a {
        font-size: 25px;
    }

    .navbar .navlinks .navbutton {
        font-size: 25px;
    }

    .hero .hero-content {
        padding: 0 400px;
    }

    .hero .hero-content h1 {
        font-size: 70px;
        line-height: 85px;
    }

    .hero .hero-content p {
        font-size: 2rem;
        margin-bottom: 2rem;
        line-height: 45px;
        padding: 0 140px;
    }

    .hero .hero-content h3 {
        font-size: 45px;
    }

    .hero .arrowbutton img {
        width: 60px;
    }

    .solving-building .rightside h2 {
        font-size: 65px;
        line-height: 78px;
    }

    .solving-building .rightside p {
        font-size: 25px;
        padding: 30px 0;
    }

    .solving-building .rightside .navbutton {
        font-size: 25px;
    }

    .our-solution .our-solution-top .leftside .details h2 {
        font-size: 65px;
        line-height: 78px;
    }

    .our-solution .our-solution-top .leftside .maintitle h2 {
        font-size: 32px;
    }

    .our-solution .our-solution-top .rightside p {
        font-size: 25px;
    }

    .our-solutionsbottom .solutions-card .card-content .desc p {
        font-size: 25px;
    }

    .our-solutionsbottom .solutions-card .card-content .cardtitle h2 {
        font-size: 40px;
        line-height: 50px;
    }

    .why-dwellinx-section .content {
        max-width: 1000px;
    }

    .why-dwellinx-section .content h4 {
        font-size: 32px;
    }

    .why-dwellinx-section .content h1 {
        font-size: 65px;
        line-height: 78px;
    }

    .why-dwellinx-section .content p,
    .why-dwellinx-section .content .para {
        font-size: 25px;
    }

    .Sustainability .Sustainability-top .leftside .maintitle h2 {
        font-size: 32px;
    }

    .Sustainability .Sustainability-top .leftside .details h2 {
        font-size: 65px;
        line-height: 78px;
    }

    .Sustainability .Sustainability-top .rightside p {
        font-size: 25px;
    }

    .Sustainability-bottom .featurescard .cards .content h2 {
        font-size: 35px;
    }

    .Sustainability-bottom .featurescard .cards img {
        width: 80px;
    }

    .Sustainability-bottom .featurescard .cards .content p {
        font-size: 25px;
    }

    /* about us */
    .about-us .content {
        max-width: 1000px;
    }

    .about-us .content h4 {
        font-size: 32px;
    }

    .about-us .content h1 {
        font-size: 65px;
        line-height: 78px;
    }

    .about-us .content p,
    .about-us .content .para {
        font-size: 25px;
    }

    /* about us */
    .contact-us .leftside h2 {
        font-size: 66px;
        line-height: 78px;
    }

    .contact-us .leftside p {
        font-size: 25px;
    }

    .contact-us .rightside .firstrow .inputs label {
        font-size: 25px;
    }

    .contact-us .rightside .firstrow {
        padding: 20px 0;
    }

    .contact-us .rightside .button button {
        padding: 10px 20px;
        font-size: 25px;
    }

    /* footer  */
    .footersection .contacts .follow h2 {
        font-size: 26px;
    }

    .footersection .contacts .follow a,
    .footersection .contacts .follow p,
    .footersection .logo p {
        font-size: 24px;
    }

    .footersection .logo img {
        width: 300px;
    }

    /* footer  */
}


@media only screen and (min-width:1280px) and (max-height:600px) {
    .hero .hero-content h1 {
        font-size: 40px;
        line-height: 50px;
    }

    .hero .hero-content h3 {
        font-size: 27px;
    }

    .hero .hero-content p {
        font-size: 1.1rem;
        line-height: 25px;
    }

    .arrowbutton img {
        width: 30px;
    }

    .solving-building .rightside h2 {
        font-size: 40px;
        line-height: 50px;
    }

    .solving-building .rightside p {
        font-size: 18px;
    }
}